CassandraClusterConnection (gCube Social Networking Library 1.15.0-SNAPSHOT API)
Date: 2017-05-13

org.gcube.portal.databook.server

## Class CassandraClusterConnection

- java.lang.Object
- - org.gcube.portal.databook.server.CassandraClusterConnection

-     public class CassandraClusterConnection
      extends Object

  Author:
    Massimiliano Assante ISTI-CNR, Costantino Perciante ISTI-CNR

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CassandraClusterConnection(boolean dropSchema)`
    `protected` | `CassandraClusterConnection(boolean dropSchema, String infrastructureName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeConnection()` Close the connection pool
    `com.netflix.astyanax.Keyspace` | `getKeyspace()` Get the reference to the current keyspace
    `void` | `SetUpKeySpaces(com.netflix.astyanax.AstyanaxContext<com.netflix.astyanax.Cluster> clusterContext, boolean dropSchema)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CassandraClusterConnection

          protected CassandraClusterConnection(boolean dropSchema)

      Parameters:
        `dropSchema` - set true if you want do drop the current and set up new one

    - #### CassandraClusterConnection

          protected CassandraClusterConnection(boolean dropSchema,
                                               String infrastructureName)

      Parameters:
        `dropSchema` - set true if you want do drop the current and set up new one

  - ### Method Detail

    - #### closeConnection

          public void closeConnection()

      Close the connection pool

    - #### getKeyspace

          public com.netflix.astyanax.Keyspace getKeyspace()

      Get the reference to the current keyspace
      Returns:
        keyspace reference

    - #### SetUpKeySpaces

          public void SetUpKeySpaces(com.netflix.astyanax.AstyanaxContext<com.netflix.astyanax.Cluster> clusterContext,
                                     boolean dropSchema)

      Parameters:
        `cluster` -
        `dropIfExists` -
      Throws:
        `com.netflix.astyanax.connectionpool.exceptions.ConnectionException`

Copyright © 2017. All Rights Reserved.